Loading...
Searching...
No Matches
udpnsockstream.h
/*
* psocksxx - A C++ wrapper for POSIX sockets
* Copyright (C) 2013 Uditha Atukorala
*
* This software library is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This software library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this software library. If not, see <http://www.gnu.org/licenses/>.
*
*/
#ifndef PSOCKSXX_UDPNSOCKSTREAM_H
#define PSOCKSXX_UDPNSOCKSTREAM_H
#include <psocksxx/nsockstream.h>
namespace psocksxx {
class udpnsockstream : public nsockstream {
public:
udpnsockstream() throw( sockexception );
virtual ~udpnsockstream() throw();
};
} /* end of namespace psocksxx */
#endif /* !PSOCKSXX_UDPNSOCKSTREAM_H */
psocksxx::nsockstream::nsockstream
nsockstream(sockstreambuf::socket_type_t type, sockstreambuf::socket_protocol_t proto)
constructor
Definition nsockstream.cpp:25
psocksxx::sockexception
Socket exception.
Definition sockexception.h:35
psocksxx::udpnsockstream::~udpnsockstream
virtual ~udpnsockstream()
destructor
Definition udpnsockstream.cpp:31
psocksxx::udpnsockstream::udpnsockstream
udpnsockstream()
constructor
Definition udpnsockstream.cpp:25